﻿using System;
using System.Text;
using System.Windows.Media;

using Styx;
using Styx.Common;
using Styx.CommonBot;
using Styx.Plugins;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;

namespace BadWolf
{
    class SamplePlugin : HBPlugin
    {
        public override string Name { get { return "Plugin Template"; } }
        public override string Author { get { return "BadWolf"; } }
        public override Version Version { get { return new Version(1, 2, 0, 0); } }

        public override bool WantButton { get { return true; } }
        public override string ButtonText { get { return "Settings"; } }

        private static LocalPlayer intMe = StyxWoW.Me;
        private SamplePluginForm mainForm;


        public SamplePlugin()
        {
            mainForm = new SamplePluginForm();
            Logging.Write("Loaded " + Name + " v" + Version.ToString() + " by " + Author);
        }

        public override void Pulse()
        {
            if (!StyxWoW.IsInGame)
            {
                return;
            }

            /* PULSE ACTION HERE */

        }
        
        
        public override void OnButtonPress()
        {
            mainForm.ShowDialog();
        }


        public override void Dispose()
        {
            base.Dispose();
        }

        
    }
}
